#include <TimerOne.h>

#define Pin_Hour1 A3
#define Pin_Hour2 9
#define Pin_Hour3 8
#define Pin_Hour4 6
#define Pin_Hour5 12
#define Pin_Hour6 4
#define Pin_Hour7 11
#define Pin_Hour8 MISO
#define Pin_Hour9 MOSI
#define Pin_Hour10 SCK
#define Pin_Hour11 7
#define Pin_Hour12 A4
#define Pin_HourGND A2

#define Pin_Minute1 A1
#define Pin_Minute2 A0
#define Pin_Minute3 13
#define Pin_Minute4 5
#define Pin_Minute5 10

#define TurnOff 0

#define Pin_Button0 2
#define Pin_Button1 3

#define H 1
#define M 0

unsigned char Hour = 1;
unsigned char Minute = 1;
unsigned char Second = 1;
unsigned char Hour_Count = 12;
unsigned char Minute_Count = 60;
unsigned char Second_Count = 60;

unsigned char Count_Flash = 0;
unsigned char Unit_Flash = H;
unsigned char Flag_Setup = 0;
unsigned char Value_Button = 2;

unsigned char Flag_Count = 0;

unsigned char Flag_CountStart = 0;

unsigned char Flag_Interface = 0;

unsigned char Flag_ReturnButton3 = 0;

void Display_Hour(unsigned char Hour)
{
    pinMode(Pin_Minute1, INPUT);
    pinMode(Pin_Minute2, INPUT);
    pinMode(Pin_Minute3, INPUT);
    pinMode(Pin_Minute4, INPUT);
    pinMode(Pin_Minute5, INPUT);
    switch(Hour)
    {
        case 1:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_HourGND, LOW);
        break;

        case 2:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_HourGND, LOW);
        break;

        case 3:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_HourGND, LOW);
        break;

        case 4:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_HourGND, LOW);
        break;

        case 5:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_HourGND, LOW);
        break;

        case 6:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_HourGND, LOW);
        break;

        case 7:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_HourGND, LOW);
        break;

        case 8:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_HourGND, LOW);
        break;

        case 9:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_HourGND, LOW);
        break;

        case 10:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_HourGND, LOW);
        break;

        case 11:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_HourGND, LOW);
        break;

        case 12:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_HourGND, LOW);
        break;

        case 0:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_HourGND, LOW);
        break;
    }
}

void Display_Minute(unsigned char Minute)
{
    digitalWrite(Pin_HourGND, HIGH);
    pinMode(Pin_Minute1, OUTPUT);
    pinMode(Pin_Minute2, OUTPUT);
    pinMode(Pin_Minute3, OUTPUT);
    pinMode(Pin_Minute4, OUTPUT);
    pinMode(Pin_Minute5, OUTPUT);
    switch(Minute)
    {
        case 1:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute1, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 2:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute2, LOW);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 3:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute3, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 4:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute4, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 5:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute5, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute1, INPUT);
        break;

        case 6:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute1, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 7:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute2, LOW);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 8:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute3, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 9:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute4, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 10:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute5, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute1, INPUT);
        break;

        case 11:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute1, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 12:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute2, LOW);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 13:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute3, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 14:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute4, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 15:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute5, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute1, INPUT);
        break;

        case 16:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute1, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 17:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute2, LOW);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 18:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute3, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 19:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute4, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 20:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute5, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute1, INPUT);
        break;

        case 21:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute1, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 22:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute2, LOW);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 23:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute3, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 24:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute4, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 25:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute5, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute1, INPUT);
        break;

        case 26:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute1, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 27:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute2, LOW);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 28:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute3, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 29:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute4, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 30:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute5, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute1, INPUT);
        break;

        case 31:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute1, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 32:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute2, LOW);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 33:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute3, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 34:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute4, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 35:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute5, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute1, INPUT);
        break;

        case 36:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute1, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 37:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute2, LOW);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 38:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute3, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 39:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute4, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;
        
        case 40:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute5, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute1, INPUT);
        break;

        case 41:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute1, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 42:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute2, LOW);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 43:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute3, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 44:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute4, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 45:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute5, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute1, INPUT);
        break;

        case 46:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute1, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 47:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute2, LOW);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 48:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute3, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 49:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute4, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 50:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute5, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute1, INPUT);
        break;

        case 51:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute1, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 52:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute2, LOW);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 53:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute3, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 54:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute4, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 55:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute5, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute1, INPUT);
        break;

        case 56:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute1, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 57:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute2, LOW);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 58:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute3, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 59:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute4, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 60:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute5, LOW);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute1, INPUT);
        break;

        case 0:
        pinMode(Pin_Minute1, OUTPUT);
        pinMode(Pin_Minute2, OUTPUT);
        pinMode(Pin_Minute3, OUTPUT);
        pinMode(Pin_Minute4, OUTPUT);
        pinMode(Pin_Minute5, OUTPUT);
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute1, LOW);
        digitalWrite(Pin_Minute2, LOW);
        digitalWrite(Pin_Minute3, LOW);
        digitalWrite(Pin_Minute4, LOW);
        digitalWrite(Pin_Minute5, LOW);
        break;
    }
}

void Display_Second(unsigned char Second)
{
    digitalWrite(Pin_HourGND, HIGH);
    pinMode(Pin_Minute1, OUTPUT);
    pinMode(Pin_Minute2, OUTPUT);
    pinMode(Pin_Minute3, OUTPUT);
    pinMode(Pin_Minute4, OUTPUT);
    pinMode(Pin_Minute5, OUTPUT);
    switch(Second)
    {
        case 1:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute1, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 2:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute2, HIGH);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 3:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute3, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 4:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute4, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 5:
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute5, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute1, INPUT);
        break;

        case 6:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute1, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 7:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute2, HIGH);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 8:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute3, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 9:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute4, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 10:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute5, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute1, INPUT);
        break;

        case 11:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute1, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 12:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute2, HIGH);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 13:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute3, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 14:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute4, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 15:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute5, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute1, INPUT);
        break;

        case 16:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute1, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 17:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute2, HIGH);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 18:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute3, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 19:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute4, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 20:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute5, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute1, INPUT);
        break;

        case 21:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute1, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 22:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute2, HIGH);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 23:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute3, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 24:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute4, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 25:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute5, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute1, INPUT);
        break;

        case 26:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute1, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 27:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute2, HIGH);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 28:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute3, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 29:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute4, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 30:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute5, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute1, INPUT);
        break;

        case 31:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute1, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 32:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute2, HIGH);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 33:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute3, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 34:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute4, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 35:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute5, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute1, INPUT);
        break;

        case 36:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute1, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 37:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute2, HIGH);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 38:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute3, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 39:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute4, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;
        
        case 40:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute5, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute1, INPUT);
        break;

        case 41:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute1, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 42:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute2, HIGH);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 43:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute3, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 44:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute4, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 45:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute5, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute1, INPUT);
        break;

        case 46:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute1, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 47:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute2, HIGH);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 48:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute3, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 49:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute4, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 50:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute5, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute1, INPUT);
        break;

        case 51:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute1, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 52:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute2, HIGH);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 53:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute3, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 54:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute4, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 55:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, HIGH);
        digitalWrite(Pin_Minute5, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute1, INPUT);
        break;

        case 56:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute1, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 57:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute2, HIGH);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 58:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute3, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 59:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute4, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute1, INPUT);
        pinMode(Pin_Minute5, INPUT);
        break;

        case 60:
        digitalWrite(Pin_Hour1, HIGH);
        digitalWrite(Pin_Hour2, HIGH);
        digitalWrite(Pin_Hour3, HIGH);
        digitalWrite(Pin_Hour4, HIGH);
        digitalWrite(Pin_Hour5, HIGH);
        digitalWrite(Pin_Hour6, HIGH);
        digitalWrite(Pin_Hour7, HIGH);
        digitalWrite(Pin_Hour8, HIGH);
        digitalWrite(Pin_Hour9, HIGH);
        digitalWrite(Pin_Hour10, HIGH);
        digitalWrite(Pin_Hour11, HIGH);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute5, HIGH);
        pinMode(Pin_Minute2, INPUT);
        pinMode(Pin_Minute3, INPUT);
        pinMode(Pin_Minute4, INPUT);
        pinMode(Pin_Minute1, INPUT);
        break;

        case 0:
        pinMode(Pin_Minute1, OUTPUT);
        pinMode(Pin_Minute2, OUTPUT);
        pinMode(Pin_Minute3, OUTPUT);
        pinMode(Pin_Minute4, OUTPUT);
        pinMode(Pin_Minute5, OUTPUT);
        digitalWrite(Pin_Hour1, LOW);
        digitalWrite(Pin_Hour2, LOW);
        digitalWrite(Pin_Hour3, LOW);
        digitalWrite(Pin_Hour4, LOW);
        digitalWrite(Pin_Hour5, LOW);
        digitalWrite(Pin_Hour6, LOW);
        digitalWrite(Pin_Hour7, LOW);
        digitalWrite(Pin_Hour8, LOW);
        digitalWrite(Pin_Hour9, LOW);
        digitalWrite(Pin_Hour10, LOW);
        digitalWrite(Pin_Hour11, LOW);
        digitalWrite(Pin_Hour12, LOW);
        digitalWrite(Pin_Minute1, LOW);
        digitalWrite(Pin_Minute2, LOW);
        digitalWrite(Pin_Minute3, LOW);
        digitalWrite(Pin_Minute4, LOW);
        digitalWrite(Pin_Minute5, LOW);
        break;
    }
}

void Display_Time(unsigned char Hour, unsigned char Minute, unsigned char Second)
{
    Display_Hour(Hour);
    delay(5);
    Display_Minute(Minute);
    delay(6);
    Display_Second(Second);
    delay(6);
}

void Hour_Plus()
{
    switch(Hour)
    {
        case 12:
        Hour = 1;
        break;

        default:
        Hour++;
        break;
    }
}

void Hour_Minus()
{
    switch(Hour)
    {
        case 1:
        Hour = 12;
        break;

        default:
        Hour--;
        break;
    }
}

void Minute_Plus_Primary()
{
    switch(Minute)
    {
        case 60:
        Minute = 1;
        break;

        default:
        Minute++;
        break;
    }
}

void Minute_Plus_Advanced()
{
    switch(Minute)
    {
        case 60:
        Hour_Plus();
        Minute = 1;
        break;

        default:
        Minute++;
        break;
    }
}

void Minute_Minus_Primary()
{
    switch(Minute)
    {
        case 1:
        Minute = 60;
        break;

        default:
        Minute--;
        break;
    }
}

void Minute_Minus_Advanced()
{
    switch(Minute)
    {
        case 1:
        Hour_Minus();
        Minute = 60;
        break;

        default:
        Minute--;
        break;
    }
}

void Second_Plus_Primary()
{
    switch(Second)
    {
        case 60:
        Second = 1;
        break;

        default:
        Second++;
        break;
    }
}

void Second_Plus_Advanced()
{
    switch(Second)
    {
        case 60:
        Minute_Plus_Advanced();
        Second = 1;
        break;

        default:
        Second ++;
        break;
    }
}

void Second_Minus_Primary()
{
    switch(Second)
    {
        case 1:
        Second = 60;
        break;

        default:
        Second--;
        break;
    }
}

void Second_Minus_Advanced()
{
    switch(Second)
    {
        case 1:
        Minute_Minus_Advanced();
        Second = 60;
        break;

        default:
        Second--;
        break;
    }
}

void Hour_Count_Plus()
{
    switch(Hour_Count)
    {
        case 12:
        Hour_Count = 1;
        break;

        default:
        Hour_Count++;
        break;
    }
}

void Minute_Count_Plus_Advanced()
{
    switch(Minute_Count)
    {
        case 60:
        Hour_Count_Plus();
        Minute_Count = 1;
        break;

        default:
        Minute_Count++;
        break;
    }
}

void Second_Count_Plus_Advanced()
{
    switch(Second_Count)
    {
        case 60:
        Minute_Count_Plus_Advanced();
        Second_Count = 1;
        break;

        default:
        Second_Count ++;
        break;
    }
}

unsigned char Scan_Button()
{
    if(digitalRead(Pin_Button0) == 0)
    {
        switch(Flag_Interface)
        {
            case 0:
            Display_Time_Flash(Unit_Flash);
            break;

            case 1:
            Display_Time(Hour_Count, Minute_Count, Second_Count);
            if(Flag_CountStart == 1)
            {
                Second_Count_Plus_Advanced();
            }
            break;
        }
        if(digitalRead(Pin_Button0) == 0)
        {
            while(digitalRead(Pin_Button0) == 0)
            {
                switch(Flag_Interface)
                {
                    case 0:
                    Display_Time_Flash(Unit_Flash);
                    break;
        
                    case 1:
                    Display_Time(Hour_Count, Minute_Count, Second_Count);
                    if(Flag_CountStart == 1)
                    {
                        Second_Count_Plus_Advanced();
                    }
                    break;
                }
            }
            while(digitalRead(Pin_Button0) == 0)
            {
                switch(Flag_Interface)
                {
                    case 0:
                    Display_Time_Flash(Unit_Flash);
                    break;
        
                    case 1:
                    Display_Time(Hour_Count, Minute_Count, Second_Count);
                    if(Flag_CountStart == 1)
                    {
                        Second_Count_Plus_Advanced();
                    }
                    break;
                }
            }
            return 0;
        }
    }
    else
    {
        if(digitalRead(Pin_Button1) == 0)
        {
            switch(Flag_Interface)
            {
                case 0:
                Display_Time_Flash(Unit_Flash);
                break;

                case 1:
                Display_Time(Hour_Count, Minute_Count, Second_Count);
                if(Flag_CountStart == 1)
                {
                    Second_Count_Plus_Advanced();
                }
                break;
            }
            if(digitalRead(Pin_Button1) == 0)
            {
                while((digitalRead(Pin_Button1) == 0) && (Flag_ReturnButton3 < 100))
                {
                    switch(Flag_Interface)
                    {
                        case 0:
                        Display_Time_Flash(Unit_Flash);
                        break;
        
                        case 1:
                        Display_Time(Hour_Count, Minute_Count, Second_Count);
                        if(Flag_CountStart == 1)
                        {
                            Second_Count_Plus_Advanced();
                        }
                        break;
                    }
                    Flag_ReturnButton3++;
                }
                if(Flag_ReturnButton3 == 100)
                {
                    Flag_ReturnButton3 = 0;
                    return 3;
                }
                else
                {
                    Flag_ReturnButton3 = 0;
                }
                switch(Flag_Interface)
                {
                    case 0:
                    Display_Time_Flash(Unit_Flash);
                    break;
    
                    case 1:
                    Display_Time(Hour_Count, Minute_Count, Second_Count);
                    if(Flag_CountStart == 1)
                    {
                        Second_Count_Plus_Advanced();
                    }
                    break;
                }
                while(digitalRead(Pin_Button1) == 0)
                {
                    switch(Flag_Interface)
                    {
                        case 0:
                        Display_Time_Flash(Unit_Flash);
                        break;
        
                        case 1:
                        Display_Time(Hour_Count, Minute_Count, Second_Count);
                        if(Flag_CountStart == 1)
                        {
                            Second_Count_Plus_Advanced();
                        }
                        break;
                    }
                }
                return 1;
            }
        }
        else
        {
            return 2;
        }
    }
}

void Display_Time_Flash(unsigned char Unit_Flash)
{
    if(Count_Flash < 20)
    {
        Display_Time(Hour, Minute, Second);
        Count_Flash++;
    }
    switch(Unit_Flash)
    {
        case H:
        if(Count_Flash >= 20)
        {
            if(Count_Flash < 40)
            {
                Count_Flash++;
                Display_Hour(TurnOff);
                delay(4);
                Display_Minute(Minute);
                delay(4);
                Display_Second(Second);
                delay(4);
            }
            if(Count_Flash == 40)
            {
                Count_Flash = 0;
            }
        }
        break;

        case M:
        if(Count_Flash >= 20)
        {
            if(Count_Flash < 40)
            {
                Count_Flash++;
                Display_Hour(Hour);
                delay(4);
                Display_Minute(TurnOff);
                delay(4);
                Display_Second(Second);
                delay(4);
            }
            if(Count_Flash == 40)
            {
                Count_Flash = 0;
            }
        }
        break;
    }
}

void Setup_Time(unsigned char Unit_Setup)
{
    switch(Unit_Setup)
    {
        case H:
        Hour_Plus();
        break;

        case M:
        Minute_Plus_Primary();
        break;
    }
}

void Display_Interface(unsigned char Flag_Interface)
{
    switch(Flag_Interface)
    {
        case 0:
        Display_Time(Hour, Minute, Second);
        break;

        case 1:
        Display_Time(Hour_Count, Minute_Count, Second_Count);
        break;
    }
}

void Check_IfIntoSetupMode()
{
    if(digitalRead(Pin_Button0) == 0)
    {
        Display_Time(Hour, Minute, Second);
        if(digitalRead(Pin_Button0) == 0)
        {
            while((digitalRead(Pin_Button0) == 0) && (Flag_Setup < 100))
            {
                Display_Time(Hour, Minute, Second);
                Flag_Setup++;
            }
            if(Flag_Setup < 100)
            {
                Flag_Setup = 0;
            }
            while((digitalRead(Pin_Button0) == 0) && (Flag_Setup != 0))
            {
                Display_Time_Flash(Unit_Flash);
            }
            if(Flag_Setup != 0)
            {
                Display_Time_Flash(Unit_Flash);
            }
            else
            {
                Display_Time(Hour, Minute, Second);
            }
            while((digitalRead(Pin_Button0) == 0) && (Flag_Setup != 0))
            {
                Display_Time_Flash(Unit_Flash);
            }
        }
    }
}

void Check_IfIntoCountMode()
{
    if(digitalRead(Pin_Button1) == 0)
    {
        if(Flag_Interface == 0)
        {
            Display_Time(Hour, Minute, Second);
        }
        else
        {
            Display_Time(Hour_Count, Minute_Count, Second_Count);
        }
        if(digitalRead(Pin_Button1) == 0)
        {
            while((digitalRead(Pin_Button1) == 0) && (Flag_Count < 100))
            {
                if(Flag_Interface == 0)
                {
                    Display_Time(Hour, Minute, Second);
                }
                else
                {
                    Display_Time(Hour_Count, Minute_Count, Second_Count);
                }
                Flag_Count++;
            }
            if(Flag_Count < 100)
            {
                Flag_Count = 0;
            }
            while((digitalRead(Pin_Button1) == 0) && (Flag_Count != 0))
            {
                Display_Time(Hour_Count, Minute_Count, Second_Count);
                Flag_Interface = 1;
            }
            if(Flag_Count != 0)
            {
                Display_Time(Hour_Count, Minute_Count, Second_Count);
            }
            else
            {
                if(Flag_Interface == 0)
                {
                    Display_Time(Hour, Minute, Second);
                }
                else
                {
                    Display_Time(Hour_Count, Minute_Count, Second_Count);
                }
            }
            while((digitalRead(Pin_Button1) == 0) && (Flag_Count != 0))
            {
                if(Flag_Interface == 0)
                {
                    Display_Time(Hour, Minute, Second);
                }
                else
                {
                    Display_Time(Hour_Count, Minute_Count, Second_Count);
                }
            }
        }
    }
    Flag_Count = 0;
}

void setup()
{
    pinMode(Pin_Hour1, OUTPUT);
    pinMode(Pin_Hour2, OUTPUT);
    pinMode(Pin_Hour3, OUTPUT);
    pinMode(Pin_Hour4, OUTPUT);
    pinMode(Pin_Hour5, OUTPUT);
    pinMode(Pin_Hour6, OUTPUT);
    pinMode(Pin_Hour7, OUTPUT);
    pinMode(Pin_Hour8, OUTPUT);
    pinMode(Pin_Hour9, OUTPUT);
    pinMode(Pin_Hour10, OUTPUT);
    pinMode(Pin_Hour11, OUTPUT);
    pinMode(Pin_Hour12, OUTPUT);

    pinMode(Pin_HourGND, OUTPUT);

    pinMode(Pin_Minute1, OUTPUT);
    pinMode(Pin_Minute2, OUTPUT);
    pinMode(Pin_Minute3, OUTPUT);
    pinMode(Pin_Minute4, OUTPUT);
    pinMode(Pin_Minute5, OUTPUT);

    pinMode(Pin_Button0, INPUT_PULLUP);
    pinMode(Pin_Button1, INPUT_PULLUP);

    Timer1.initialize(1000000);
    Timer1.attachInterrupt(Second_Plus_Advanced);
}

void loop()
{
    Display_Interface(Flag_Interface);

    if(Flag_Interface == 0)
    {
        Check_IfIntoCountMode();
    }
    if(Flag_Interface == 0)
    {
        Check_IfIntoSetupMode();
        
        while(Flag_Setup != 0)
        {
            Display_Time_Flash(Unit_Flash);
            Value_Button = Scan_Button();
            switch(Value_Button)
            {
                case 0:
                if(Unit_Flash == H)
                {
                    Unit_Flash = M;
                }
                else
                {
                    Unit_Flash = H;
                    Flag_Setup = 0;
                }
                break;
    
                case 1:
                Setup_Time(Unit_Flash);
                break;
            }
        }
    }

    if(Flag_Interface == 1)
    {
        Value_Button = Scan_Button();
        switch(Value_Button)
        {
            case 0:
            if(Flag_CountStart == 0)
            {
                Flag_CountStart = 1;
            }
            else
            {
                Flag_CountStart = 0;
            }
            break;

            case 1:
            if(Flag_CountStart == 1)
            {
                Flag_CountStart = 0;
            }
            else
            {
                Hour_Count = 12;
                Minute_Count = 60;
                Second_Count = 60;
            }
            break;

            case 3:
            Flag_Interface = 0;
            Hour_Count = 12;
            Minute_Count = 60;
            Second_Count = 60;
            Flag_CountStart = 0;
            break;
        }
        if(Flag_CountStart == 1)
        {
            Second_Count_Plus_Advanced();
        }
    }
}
